#
# spec file for package PackageKit-branding-openSUSE
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_openSUSE 1
%define         build_SLED 0

# Do not edit this auto generated file! Edit PackageKit-branding.spec.in.

Name:           PackageKit-branding-openSUSE
License:        GPLv2+
Version:        11.4
Release:        3.10.1
Summary:        openSUSE branding of PackageKit
Group:          System/Daemons
Source0:        COPYING
Source1:        PackageKit-branding-ZYpp.conf
# PATCH-FEATURE-OPENSUSE PackageKit-branding-vendor.patch vuntz@opensuse.org -- Update the Vendor.conf file with distro-specific data
Patch0:         PackageKit-branding-vendor.patch
# PATCH-FEATURE-OPENSUSE PackageKit-branding-default-config.patch vuntz@opensues.org -- Change some default configuration
Patch1:         PackageKit-branding-default-config.patch
# To be in sync with upstream defaults, do branding as a patch for upstream file.
# WARNING: As this package conflicts with PackageKit-branding-openSUSE, you cannot
#          reuse build root. You have to build in a clean build root every time!
BuildRequires:  PackageKit-branding-upstream
BuildRequires:  PackageKit
%define packagekit_version %(rpm -q --qf '%%{version}-%%{release}' PackageKit)
Provides:       PackageKit-branding = %{packagekit_version}
Conflicts:      otherproviders(PackageKit-branding)
Supplements:    packageand(PackageKit:branding-openSUSE)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides openSUSE Look and Feel for PackageKit.

%prep
cp -a %{SOURCE0} .
cp -a %{_sysconfdir}/PackageKit/* .
%patch0
%patch1

%build

%install
install -d %{buildroot}%{_sysconfdir}/PackageKit
# Do the loop this way to make sure we don't forget about any configuration file
for conf in %{_sysconfdir}/PackageKit/*; do
    case "$conf" in
        %{_sysconfdir}/PackageKit/events)
            # skip this, it's not something we brand
            ;;
        *)
            install -m0644 `basename $conf` %{buildroot}%{_sysconfdir}/PackageKit/
            ;;
    esac
done
install -m0644 %{S:1} %{buildroot}%{_sysconfdir}/PackageKit/ZYpp.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
# We don't build the command-not-found PackageKit utility
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/ZYpp.conf

%changelog
* Wed May 25 2011 ro@suse.de
- updarte filelist
* Fri Feb 18 2011 vuntz@opensuse.org
- Add PackageKit-branding-ZYpp.conf that gets installed as
  /etc/PackageKit/ZYpp.conf: this can be used to change the
  PackgeKit behavior when handling updates.
* Fri Oct  8 2010 vuntz@opensuse.org
- Bump version to 11.4.
* Wed Oct  6 2010 vuntz@opensuse.org
- Update so that we can ignore some files from /etc/PackageKit that
  should not get branded, like /etc/PackageKit/events. This fixes
  the build.
* Fri May 14 2010 ro@suse.de
- rename changes template to changes.in again
* Sat Apr 10 2010 vuntz@opensuse.org
- Update after PackageKit change where we don't package the
  command-not-found utility: CommandNotFound.conf does not exist
  anymore.
* Fri Feb 12 2010 vuntz@opensuse.org
- New package, to correctly brand PackageKit. Fix bnc#471377.
- This is based on the PackageKit_release.patch patch we had in
  PackageKit.
